3
START/SHUT
PERFORMANCE
INETW
10
&=============================
    1  *  Reinstalling the TCPIP Protocol  *  06-30-2004  *  INETW

If you've worked on previous versions of Windows,
there are times when you need to completely reinstall the TCP/IP protocol stack.
This is typically due to corrupted files.

To do this with XP,
you need to run a small script:

netsh int ip reset [ log_file_name ]

the log_file_name needs to be specified.

e.g.
netsh  int  ip  reset  ip_reset.txt 
&=============================
    2  *  Hiding a XP Computer from Network Neighborhood  *  06-30-2004  *  INETW

If you want to share files from a XP computer,
yet want to remove it from showing up in the Network Neighborhood,

Run net config server /hidden:yes  
&=============================
    3  *  Windows Architecture  *  10-22-2004  *    *  d:\rapidq\pkb\sampleDB\sample.gif  *  d:\rapidq\pkb\News.txt

Windows 2000 supports programs running in user mode and programs running in kernel mode. All of the Windows 2000 subsystems and applications run in user mode, and each subsystem and application runs in its own protected address space.

This layered approach provides reliability, stability and extensibility.

Windows 2000 employs a layered model in the kernel-mode portion of the operating system. At the lowest layer is the Hardware Abstraction Layer (HAL). On top of the HAL is the kernel, which is the lowest layer in the executive.

On top of the kernel is the rest of the Windows 2000 executive components. The kernel performs low-level operating system functions such as thread scheduling and exception and interrupt handling. The HAL is a layer of platform-specific code that protects the kernel and the rest of the executive from platform differences - although the predominant platform has always been Intel based. The HAL manipulates hardware directly.

The remaining components of the executive provide system services to the environment subsystems. They interact with each other through a set of well-defined formal interfaces. 

&=============================
    4  *  Services You Can Disable  *  06-30-2004  *  PERFORMANCE

There are quite a few services you can disable from starting automatically.
This would be to speed up your boot time and free resources.
They are only suggestions so I suggestion you read the description of each one when you run Services
and that you turn them off one at a time.

Some possibilities are:

    * Alerter - Sends alert messages to specified users that are connected to the server computer.
    * Application Management - Allows software to tap directly into the Add/Remove Programs feature via the Windows Installer technology.
    * Background Intelligent Transfer Service - The Background Intelligent Transfer service is used by programs (such as Windows AutoUpdate) to download files by using spare bandwidth.
    * Clipbook - ClipBook permits you to cut and paste text and graphics over the network.
    * Error Reporting Service - Allows applications to send error reports to Microsoft in the event of an application fault.
    * Fast User Switching - Windows XP allows users to switch quickly between accounts, without requiring them to log off.
    * Help and Support - Allows the XP Built-in Help and Support Center to run.
    * IMAPI CD-Burning COM Service - You don't need this if you have other software to create CDs.
    * Indexing Service - Indexes contents and properties of files on local and remote computers; provides rapid access to files through flexible querying language.
    * IP SEC - Manages IP security policy and starts the ISAKMP/Oakley (IKE) and the IP security driver. If you are not on a domain, you likely don't need this running.
    * Messenger - Transmits net send and Alerter service messages between clients and servers. This is how a lot of pop-up windows start appearing on your desktop.
    * Net Logon - Supports pass-through authentication of account logon events for computers in a domain. If you are not on a domain, you don't need this running
    * Network DDE - Provides network transport and security for Dynamic Data Exchange (DDE) for programs running on the same computer or on different computers.
    * NT LM Security Support Provider - Provides security to remote procedure call (RPC) programs that use transports other than named pipes.
    * Performance Logs and Alerts - Collects performance data from local or remote computers based on preconfigured schedule parameters, then writes the data to a log or triggers an alert. If you don't need to monitor your performance logs, then you don't need this service.
    * Portable Media Serial Number - Retrieves the serial number of any portable music player connected to your computer
    * QOS RSVP - Provides network signaling and local traffic control setup functionality for QoS-aware programs and control applets.
    * Remote Desktop Help Session Manager - Manages and controls Remote Assistance. If you are not using Remote Desktop you don't need this service.
    * Remote Registry - Enables remote users to modify registry settings on this computer.
    * Routing & Remote Access - Offers routing services to businesses in local area and wide area network environments. Allows dial-in access.
    * Secondary Login - Enables starting processes under alternate credentials. This is what allows you to run an application as another user.
    * Smart Card - Manages access to smart cards read by this computer.
    * Smart Card Helper - Enables support for legacy non-plug and play smart-card readers used by this computer.
    * SSDP Discovery Service - Enables discovery of UPnP devices on your home network.
    * TCP/IP NetBIOS Helper - Enables support for NetBIOS over TCP/IP (NetBT) service and NetBIOS name resolution. This should not be needed in today's network environment.
    * Telnet - Enables a remote user to log on to this computer and run programs, and supports various TCP/IP Telnet clients.
    * Uninterruptible Power Supply Service - Manages an uninterruptible power supply (UPS) connected to the computer.
    * Universal Plug and Play Device Host - Provides support to host Universal Plug and Play devices
    * Upload Manager - Manages synchronous and asynchronous file transfers between clients and servers on the network.
    * Volume Shadow Copy Service - Manages and implements Volume Shadow Copies used for backup and other purposes.
    * Web Client - Enables Windows-based programs to create, access, and modify non-local files across the Internet.
    * Wireless Zero Configuration - Provides automatic configuration for the 802.11 adapters
    * WMI Performance Adapter - Provides performance library information from WMI HiPerf providers.
 
&=============================
    5  *  WINIPCFG for XP  *  06-30-2004  *  INETW

If you like the graphic IP configuration program that comes with Windows98,
you can download a similar one for WindowsXP or Windows2000 from Microsoft at:
http://www.microsoft.com/windows2000/techinfo/reskit/tools/existing/wntipcfg-o.asp 
&=============================
    6  *  Adding SafeBoot to the Boot Menu  *  08-02-2004  *  START/SHUT
You can add Safeboot as an option to the normal XP boot screen

   1. Open a command prompt
   2. Copy the current c:\boot.ini to another name (just in case)
   3. With your favorite text editor, edit c:\boot.ini
   4. Copy then edit the current boot line to another line. For example:
      multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Professional" /fastdetect
      might copy and then change to:
      multi(0)disk(0)rdisk(0)partition(1)\WINDOWS="Microsoft Windows XP Professional Safeboot" /fastdetect
   5. Start MSCONFIG
   6. Click on the BOOT.INI tab
   7. Highlight the second line with the additional name of Safeboot
   8. Check the /SAFEBOOT box with option you want
      Minimal - Minimal set of drivers
      Network - With Network Support
      Dsrepair - Directory Services Repair
      Minimal (Alternate Shell) - Standard Explorer Desktop
   9. You will now have this option every time you start XP

&=============================
    7  *  Configure for Auto-Logon  *  06-30-2004  *  START/SHUT

If you are the only person using the computer and what to have it automatically log you on,

   1. Start / Run / "control userpasswords2" - no quotes
   2. Uncheck User must enter a user name and password to use this computer
&=============================
    8  *  Increasing System Performance  *  06-30-2004  *  PERFORMANCE

If you have 512 megs or more of memory, you can increase system performance
by having the core system kept in memory.

   1. Start Regedit
   2. Go to HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Memory Management\DisablePagingExecutive
   3. Set the value to be 1
   4. Reboot the computer
 &=============================
    9  *  Reinstalling the TCPIP Protocol  *  10-28-2004  *  

If you've worked on previous versions of Windows,
there are times when you need to completely reinstall the TCP/IP protocol stack.
This is typically due to corrupted files.

To do this with XP,
you need to run a small script:

netsh int ip reset [ log_file_name ]

the log_file_name needs to be specified.

e.g.
netsh  int  ip  reset  ip_reset.txt  
